sccs-delta(1)

NAME
sccs-delta, delta - make a delta to an SCCS file

SYNOPSIS

/usr/ccs/bin/delta [-dnps] [-g sid-list | -gsid-list]
    [-m mr-list | -mmr-list] [-r sid | -rsid]
    [-y [comment]]  s.filename...

/usr/xpg4/bin/delta [-dnps] [-g sid-list | -gsid-list]
    [-m mr-list | -mmr-list] [-r sid | -rsid]
    [-y [comment]]  s.filename...

DESCRIPTION

The delta utility checks in a record of the line-by-line differences made to a checked-out version of a file under SCCS control. These changes are taken from the writable working copy that was retrieved using the SCCS get command (see sccs-get(1)). This working copy does not have the `s.' prefix, and is also referred to as a g-file.

If a directory name is used in place of the s.filename argument, the delta command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line (requires -y, and in some cases, -m).

delta may issue prompts on the standard output depending upon the options specified and the flags that are set in the s.file (see sccs-admin(1), and the -m and -y options below, for details).

  /usr/xpg4/bin/delta

The SID of the delta is not echoed to stdout.

OPTIONS

The following options are supported:

-d
    Use command diff(1) instead of bdiff(1). Returns exit status 2 if s.filename argument is not specified.

-n
    Retain the edited g-file, which is normally removed at the completion of processing.

-p
    Display line-by-line differences (in diff(1) format) on the standard output.

-s
    Silent. Do not display warning or confirmation messages. Do not suppress error messages (which are written to standard error).

-g sid-list | -gsid-list
    Specify a list of deltas to omit when the file is accessed at the SCCS version ID (SID) created by this delta. sid-list is a comma-separated list of SIDs. To specify a range of deltas, use a `-' separator instead of a comma, between two SIDs in the list.

-m mr-list | -mmr-list
    If the SCCS file has the v flag set (see sccs-admin(1)), you must supply one or more Modification Request (MR) numbers for the new delta. When specifying more than one MR number on the command line, mr-list takes the form of a quoted, space-separated list. If -m is not used and the standard input is a terminal, delta prompts with MRs? for the list (before issuing the comments? prompt). If the v flag in the s.file has a value, it is taken to be the name of a program to validate the MR numbers. If that validation program returns a non-zero exit status, delta terminates without checking in the changes.

-r sid | -rsid
    When two or more versions are checked out, specify the version to check in. This SID value can be either the SID specified on the get command line, or the SID of the new version to be checked in as reported by get. A diagnostic results if the specified SID is ambiguous, or if one is required but not supplied.

-y[comment]
    Supply a comment for the delta table (version log). A null comment is accepted, and produces an empty commentary in the log. If -y is not specified and the standard input is a terminal, delta prompts with `comments?'. An unescaped NEWLINE terminates the comment.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of delta: LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES, and NLSPATH.

EXIT STATUS

The following exit values are returned:

0
    Successful completion.

1
    An error occurred and the -d option had not been specified.

2
    An error occurred, the -d option had been specified, and the s.filename argument was not specified.

FILES

d.file
    temporary file of differences

p.file
    lock file for a checked-out version

q.file
    temporary file

s.file
    SCCS history file

x.file
    temporary copy of the s.file

z.file
    temporary file

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

  /usr/ccs/bin/delta

  /usr/xpg4/bin/delta

SEE ALSO

bdiff(1), diff(1), sccs-admin(1), sccs-cdc(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sccsdiff(1), sccs-unget(1), sccs(1), what(1), sccsfile(4), attributes(5), environ(5), standards(5)

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).

WARNINGS

Lines beginning with an ASCII SOH character (binary 001) cannot be placed in the SCCS file unless the SOH is escaped. This character has special meaning to SCCS (see sccsfile(4)) and produces an error.